=== debian/changelog ===
ros-noetic-electronic-io (1.0.3-1focal) focal; urgency=high

  * Fixed build and docs
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 02 Jul 2023 22:00:00 -0000

ros-noetic-electronic-io (1.0.2-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 29 Jun 2023 22:00:00 -0000

ros-noetic-electronic-io (1.0.1-1focal) focal; urgency=high

  * Added support for simplified specification of pins in config.
  * Added BinaryPWM virtual pin.
  * Added virtual pins.
  * It topic is set to empty, the topics and services will not be created.
  * Added Battery device.
  * Export the provided devices.
  * Allow setting queue_size and latching for output devices.
  * Added support for output groups.
  * Robustified IO board client.
  * Initial commit
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 18 Jun 2023 22:00:00 -0000
