=== debian/control ===
Source: ros-noetic-electronic-io
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-lint <!nocheck>, python3-setuptools, ros-noetic-catkin, ros-noetic-roslint <!nocheck>
Homepage: https://wiki.ros.org/electronic_io
Standards-Version: 3.9.2

Package: ros-noetic-electronic-io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cras-msgs, ros-noetic-electronic-io-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-srvs
Description: Convenience library for interaction with analog and digital inputs and outputs.
